Validate menu
const url = 'https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/menu/validate';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '"example"'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/menu/validate \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '"example"'The endpoint allows users to upload a menu and validate it according to the JSON schema. If no errors or warnings are detected, the endpoint will return an all-okay message. However, if errors or warnings are detected, the endpoint will return a list of errors and warnings, along with detailed information about each error, such as the line number, column number, and error message. It is recommended to validate the payload before sending the menu for execution. This will ensure that the menu is in the correct format and contains all the necessary information to be processed successfully. Validating the payload before sending the menu for execution can identify and correct any errors or issues, thereby saving time.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Examplegenerated
exampleResponses
Section titled “Responses”Menu validation result
object
Specifies if the menu is valid or not
Detailed information of the errors generated by JSON schema
Detailed information of the warnings generated by JSON schema
Examplegenerated
{ "valid": true, "errors": [ "example" ], "warnings": [ "example" ]}Internal error
Examplegenerated
example